package com.qmth.cqb.genpaper.context;

import java.util.LinkedList;
import java.util.List;

import com.qmth.cqb.genpaper.condition.Condition;
import com.qmth.cqb.paper.model.PaperDetailStruct;
import com.qmth.cqb.paper.model.PaperDetailUnitStruct;
import com.qmth.cqb.question.model.Question;

public class DetailContext extends Context {

    private PaperContext paperContext;

    private PaperDetailStruct detailStruct;

    private List<UnitContext> units;

    public DetailContext(PaperDetailStruct detailStruct, PaperContext paperContext, List<Condition> conditions) {
        super(conditions);
        this.detailStruct = detailStruct;
        this.units = new LinkedList<UnitContext>();
        this.paperContext = paperContext;
        for (PaperDetailUnitStruct unit : detailStruct.getPaperDetailUnitStructs()) {
            units.add(new UnitContext(unit, this, conditions));
        }
    }

    public boolean check(Question question) {
        return super.check(question) && paperContext.check(question);
    }

    public void select(Question question) {
        super.select(question);
        paperContext.select(question);
    }

    public boolean finish() {
        return selectQues.size() == units.size();
    }

    public PaperContext getPaperContext() {
        return paperContext;
    }

    public PaperDetailStruct getDetailStruct() {
        return detailStruct;
    }

    public List<UnitContext> getUnits() {
        return units;
    }

}
