package com.qmth.cqb.genpaper.context;

import java.util.List;

import com.qmth.cqb.genpaper.condition.Condition;
import com.qmth.cqb.paper.model.PaperDetailUnitStruct;
import com.qmth.cqb.question.model.Question;

public class UnitContext extends Context {

    private DetailContext detailContext;

    private PaperDetailUnitStruct unitStruct;

    public UnitContext(PaperDetailUnitStruct unitStruct, DetailContext detailContext, List<Condition> conditions) {
        super(conditions);
        this.unitStruct = unitStruct;
        this.detailContext = detailContext;

    }

    public boolean check(Question question) {
        return super.check(question) && detailContext.check(question);
    }

    public void select(Question question) {
        super.select(question);
        detailContext.select(question);
    }

    public boolean finish() {
        return selectQues.size() > 0;
    }

    public DetailContext getDetailContext() {
        return detailContext;
    }

    public PaperDetailUnitStruct getUnitStruct() {
        return unitStruct;
    }

}
