package com.qmth.cqb.genpaper.web;

import java.util.HashMap;
import java.util.Map;

import com.qmth.cqb.genpaper.model.GenPaperDto;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.cqb.genpaper.model.GenPaperDto;
import com.qmth.cqb.genpaper.service.GenPaperService;

/**
 * Created by songyue on 16/12/28.
 */
@RestController
@RequestMapping("${api_cqb}/")
public class GenPaperController {

    @Autowired
    GenPaperService genPaperService;

    @ApiOperation(value="简易随机组卷",notes="简易随机组卷")
    @PostMapping("/genPaper/simple")
    public ResponseEntity genPaperSimple(@RequestBody GenPaperDto genPaperDto) {
        Map<String, Object> paperMap = new HashMap<String, Object>();
        if (genPaperDto.getSimpleGenPaperPolicy().getKey() == 1L) {
            paperMap = genPaperService.genPaperByQuestionNum(genPaperDto);
        } else if (genPaperDto.getSimpleGenPaperPolicy().getKey() == 2L) {
            paperMap = genPaperService.genPaperByScore(genPaperDto);
        }
        if (paperMap.get("msg").equals("success")) {
            return new ResponseEntity(paperMap, HttpStatus.OK);
        } else {
            return new ResponseEntity(paperMap, HttpStatus.INTERNAL_SERVER_ERROR);
        }

    }

    @ApiOperation(value="精细组卷",notes="精细组卷")
    @PostMapping("/genPaper/normal")
    public ResponseEntity genPaperNormal(@RequestBody GenPaperDto genPaperDto) {
        Map<String, Object> paperMap = genPaperService.genPaper(genPaperDto);
        if (paperMap.get("msg").equals("success")) {
            return new ResponseEntity(paperMap, HttpStatus.OK);
        } else {
            return new ResponseEntity(paperMap, HttpStatus.INTERNAL_SERVER_ERROR);
        }
    }

}
